-- DEMON HUNTER SPELL:   NETHERWALK
function GoH_DemonHunter_MenuButton_Netherwalk_OnClick()
	    if GoHv5_DemonHunter_Data.config.Netherwalk == "NO" then
	    	GoHv5_DemonHunter_Data.config.Netherwalk = "YES"
	    	Play_Random_Cloak();
	    else
	    	GoHv5_DemonHunter_Data.config.Netherwalk = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   METAMORPHOSIS
function GoH_DemonHunter_MenuButton_Metamorphosis_OnClick()
	    if GoHv5_DemonHunter_Data.config.Metamorphosis == "NO" then
	    	GoHv5_DemonHunter_Data.config.Metamorphosis = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Dark_Transformation_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DemonHunter_Data.config.Metamorphosis = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   FELBLADE
function GoH_DemonHunter_MenuButton_Felblade_OnClick()
	    if GoHv5_DemonHunter_Data.config.Felblade == "NO" then
	    	GoHv5_DemonHunter_Data.config.Felblade = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\John_Cena_1.mp3","Master");
	    else
	    	GoHv5_DemonHunter_Data.config.Felblade = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   FEL_RUSH
function GoH_DemonHunter_MenuButton_Fel_Rush_OnClick()
	    if GoHv5_DemonHunter_Data.config.Fel_Rush == "NO" then
	    	GoHv5_DemonHunter_Data.config.Fel_Rush = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\John_Cena.mp3","Master");
	    else
	    	GoHv5_DemonHunter_Data.config.Fel_Rush = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   FEL_ERUPTION
function GoH_DemonHunter_MenuButton_Fel_Eruption_OnClick()
	    if GoHv5_DemonHunter_Data.config.Fel_Eruption == "NO" then
	    	GoHv5_DemonHunter_Data.config.Fel_Eruption = "YES"
	    	
						PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\You_Are_Not_Prepared_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
					
	    else
	    	GoHv5_DemonHunter_Data.config.Fel_Eruption = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   GLIDE
function GoH_DemonHunter_MenuButton_Glide_OnClick()
	    if GoHv5_DemonHunter_Data.config.Glide == "NO" then
	    	GoHv5_DemonHunter_Data.config.Glide = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_DemonHunter_Data.config.Glide = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   DARKNESS
function GoH_DemonHunter_MenuButton_Darkness_OnClick()
	    if GoHv5_DemonHunter_Data.config.Darkness == "NO" then
	    	GoHv5_DemonHunter_Data.config.Darkness = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Camouflage.mp3","Master");
	    else
	    	GoHv5_DemonHunter_Data.config.Darkness = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   SPECTRAL_SIGHT
function GoH_DemonHunter_MenuButton_Spectral_Sight_OnClick()
	    if GoHv5_DemonHunter_Data.config.Spectral_Sight == "NO" then
	    	GoHv5_DemonHunter_Data.config.Spectral_Sight = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\I_See_You_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DemonHunter_Data.config.Spectral_Sight = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   IMMOLATION_AURA
function GoH_DemonHunter_MenuButton_Immolation_Aura_OnClick()
	    if GoHv5_DemonHunter_Data.config.Immolation_Aura == "NO" then
	    	GoHv5_DemonHunter_Data.config.Immolation_Aura = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Soul_Fire.mp3","Master");
	    else
	    	GoHv5_DemonHunter_Data.config.Immolation_Aura = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   SOUL_BARRIER
function GoH_DemonHunter_MenuButton_Soul_Barrier_OnClick()
	    if GoHv5_DemonHunter_Data.config.Soul_Barrier == "NO" then
	    	GoHv5_DemonHunter_Data.config.Soul_Barrier = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Bubble_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DemonHunter_Data.config.Soul_Barrier = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end

-- DEMON HUNTER SPELL:   INFERNAL_STRIKE
function GoH_DemonHunter_MenuButton_Infernal_Strike_OnClick()
	    if GoHv5_DemonHunter_Data.config.Infernal_Strike == "NO" then
	    	GoHv5_DemonHunter_Data.config.Infernal_Strike = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\John_Cena_2.mp3","Master");
	    else
	    	GoHv5_DemonHunter_Data.config.Infernal_Strike = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DemonHunter_Set_Menu_Button_Images();

end




-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DRUID SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DRUID MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_DemonHunter_Set_Menu_Button_Images()

		--Demon Hunter

        -- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER NETHERWALK
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_NETHERWALK_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_NETHERWALK_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_NETHERWALK_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Netherwalk == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_NETHERWALK_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Netherwalk_Text:SetText("|cFF00AA00Netherwalk|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_NETHERWALK_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Netherwalk_Text:SetText("|cFFFF0000Netherwalk|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER METAMORPHOSIS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_METAMORPHOSIS_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_METAMORPHOSIS_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_METAMORPHOSIS_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Metamorphosis == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_METAMORPHOSIS_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Metamorphosis_Text:SetText("|cFF00AA00Metamorphosis|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_METAMORPHOSIS_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Metamorphosis_Text:SetText("|cFFFF0000Metamorphosis|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER FELBLADE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_FELBLADE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_FELBLADE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_FELBLADE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Felblade == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_FELBLADE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Felblade_Text:SetText("|cFF00AA00Felblade|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_FELBLADE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Felblade_Text:SetText("|cFFFF0000Felblade|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER FEL_RUSH
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_FEL_RUSH_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_FEL_RUSH_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_FEL_RUSH_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Fel_Rush == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_FEL_RUSH_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Fel_Rush_Text:SetText("|cFF00AA00Fel Rush|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_FEL_RUSH_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Fel_Rush_Text:SetText("|cFFFF0000Fel Rush|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER FEL_ERUPTION
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_FEL_ERUPTION_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_FEL_ERUPTION_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_FEL_ERUPTION_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Fel_Eruption == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_FEL_ERUPTION_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Fel_Eruption_Text:SetText("|cFF00AA00Fel Eruption|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_FEL_ERUPTION_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Fel_Eruption_Text:SetText("|cFFFF0000Fel Eruption|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER GLIDE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_GLIDE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_GLIDE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_GLIDE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Glide == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_GLIDE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Glide_Text:SetText("|cFF00AA00Glide|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_GLIDE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Glide_Text:SetText("|cFFFF0000Glide|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER DARKNESS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_DARKNESS_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_DARKNESS_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_DARKNESS_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Darkness == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_DARKNESS_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Darkness_Text:SetText("|cFF00AA00Darkness|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_DARKNESS_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Darkness_Text:SetText("|cFFFF0000Darkness|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER SPECTRAL_SIGHT
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_SPECTRAL_SIGHT_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_SPECTRAL_SIGHT_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_SPECTRAL_SIGHT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Spectral_Sight == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_SPECTRAL_SIGHT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Spectral_Sight_Text:SetText("|cFF00AA00Spectral Sight|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_SPECTRAL_SIGHT_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Spectral_Sight_Text:SetText("|cFFFF0000Spectral Sight|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER IMMOLATION_AURA
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_IMMOLATION_AURA_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_IMMOLATION_AURA_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_IMMOLATION_AURA_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Immolation_Aura == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_IMMOLATION_AURA_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Immolation_Aura_Text:SetText("|cFF00AA00Immolation Aura|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_IMMOLATION_AURA_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Immolation_Aura_Text:SetText("|cFFFF0000Immolation Aura|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER SOUL_BARRIER
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_SOUL_BARRIER_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_SOUL_BARRIER_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_SOUL_BARRIER_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Soul_Barrier == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_SOUL_BARRIER_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Soul_Barrier_Text:SetText("|cFF00AA00Soul Barrier|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_SOUL_BARRIER_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Soul_Barrier_Text:SetText("|cFFFF0000Soul Barrier|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEMON HUNTER INFERNAL_STRIKE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEMONHUNTER_INFERNAL_STRIKE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_INFERNAL_STRIKE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEMONHUNTER_INFERNAL_STRIKE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DemonHunter_Data.config.Infernal_Strike == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEMONHUNTER_INFERNAL_STRIKE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DemonHunter_Infernal_Strike_Text:SetText("|cFF00AA00Infernal Strike|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEMONHUNTER_INFERNAL_STRIKE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DemonHunter_Infernal_Strike_Text:SetText("|cFFFF0000Infernal Strike|r");

	end
end


